DoctypeDecl (marc4j)
Keywords: org.marc4j.marcxml.DoctypeDecl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.marcxml
Class DoctypeDecl

    java.lang.Object
      org.marc4j.marcxml.DoctypeDecl

public class DoctypeDecl
extends Object

`DoctypeDecl` defines behaviour for a document type declaration.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters

Constructor Summary
`DoctypeDecl()` Default constructor
`DoctypeDecl(String name, String publicId, String systemId)` Creates a new DocType instance

Method Summary
`String` | `getName()` Returns the name of the root element.
`String` | `getPublicId()` Returns the public identifier.
`String` | `getSystemId()` Returns the system identifier.
`void` | `setName(String name)` Sets the name of the root element.
`void` | `setPublicId(String publicId)` Sets the public identifier.
`void` | `setSystemId(String systemId)` Sets the system identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoctypeDecl

    public DoctypeDecl()

  Default constructor

### DoctypeDecl

    public DoctypeDecl(String name,
                       String publicId,
                       String systemId)

  Creates a new DocType instance

Parameters:
  `name` - the name of the root element
  `publicId` - the public identifier
  `systemId` - the system identifier

Method Detail

### setName

    public void setName(String name)

  Sets the name of the root element.

  Parameters:
    `name` - the name of the root element

### setPublicId

    public void setPublicId(String publicId)

  Sets the public identifier.

  Parameters:
    `publicId` - the public identifier

### setSystemId

    public void setSystemId(String systemId)

  Sets the system identifier.

  Parameters:
    `systemId` - the system identifier

### getName

    public String getName()

  Returns the name of the root element.

  Returns:
    `String` - the name of the root element

### getPublicId

    public String getPublicId()

  Returns the public identifier.

  Returns:
    `String` - the public identifier

### getSystemId

    public String getSystemId()

  Returns the system identifier.

  Returns:
    `String` - the system identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.